#include <iostream>
#include <string>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int o,a,b,ab;
    cin>>o>>a>>b>>ab;
    string os,as,bs,abs;
    cin.ignore();
    getline(cin,os);
    getline(cin,as);
    getline(cin,bs);
    getline(cin,abs);
    int poz=os.find('');
    string osnov=os.substr(poz+1,n-poz-1);
    int o1=(stoi)osnov;

}